Bug 18878 - Sudo doesn't clean LANG / LC_xxx environment -> possible to exploit locales.
Sudo doesn't clean LANG / LC_xxx environment -> possible to exploit locales.
Product: Red Hat Powertools
Classification: Retired
Component: sudo (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: Security
: 18825 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-10-11 05:28 EDT by Jarno Huuskonen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-11 06:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jarno Huuskonen 2000-10-11 05:28:28 EDT

Sudo doesn't clean LANG / LC_xxx environment. So users can use
something like LANG=../../../tmp and if they can run a program with
higher privileges --> possible to exploit. To fix this sudo should clean
LANG / LC_xxx if they contain '/' (like the new userhelper does).


PS. Users can exploit this only if they can run the programs with sudo and
the program has i18n support.
Comment 1 Bernhard Rosenkraenzer 2000-10-11 06:14:41 EDT
*** Bug 18825 has been marked as a duplicate of this bug. ***
Comment 2 Bernhard Rosenkraenzer 2000-10-11 06:15:16 EDT
Done in 1.6.3p5-2
Comment 3 Daniel Roesen 2000-10-13 11:22:26 EDT
Hm, am I wrong or would this justify a security errata update instead of just 

Changing severity to "security".

Note You need to log in before you can comment on or make changes to this bug.